# PathfinderSettings Struct Reference

Settings related to all pathfinders. More...

`#include <settings_type.h>`

## Data Fields

uint8 | pathfinder_for_trains
| the pathfinder to use for trains
uint8 | pathfinder_for_roadvehs
| the pathfinder to use for roadvehicles
uint8 | pathfinder_for_ships
| the pathfinder to use for ships
bool | new_pathfinding_all
| use the newest pathfinding algorithm for all
bool | roadveh_queue
| buggy road vehicle queueing
bool | forbid_90_deg
| forbid trains to make 90 deg turns
byte | wait_oneway_signal
| waitingtime in days before a oneway signal
byte | wait_twoway_signal
| waitingtime in days before a twoway signal
bool | reserve_paths
| always reserve paths regardless of signal type.
byte | wait_for_pbs_path
| how long to wait for a path reservation.
byte | path_backoff_interval
| ticks between checks for a free path.
OPFSettings | opf
| pathfinder settings for the old pathfinder
NPFSettings | npf
| pathfinder settings for the new pathfinder
YAPFSettings | yapf
| pathfinder settings for the yet another pathfinder

## Detailed Description

Settings related to all pathfinders.

Definition at line 277 of file settings_type.h.

The documentation for this struct was generated from the following file:

- src/settings_type.h